Bug 1915981 - Install ethtool and conntrack in container for debugging
Summary: Install ethtool and conntrack in container for debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Dan Williams
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 21:07 UTC by Dan Williams
Modified: 2021-02-24 15:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 396 0 None closed Bug 1915981: Dockerfile: add ethtool & conntrack, and change maintainer email to Tim 2021-01-18 22:00:29 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:24 UTC

Description Dan Williams 2021-01-13 21:07:26 UTC
During customer debug sessions we found it helpful to have these utilities, but they don't exist on the host OS. Since they are integral to debugging, and they are small, we might as well add them to our container for now.

Comment 4 Kedar Kulkarni 2021-01-15 20:00:24 UTC
Some info for the record:

OpenShift version
    4.7.0-0.nightly-2021-01-15-100321
Kubernetes version
    v1.20.0+1f131f3

Steps used to validate: 

oc get pods -n openshift-ovn-kubernetes

And for 1 pod of each type, ovnkube-master, ovnkube-node, ovs-node, used oc rsh to each container within the pod and validated if conntrack and ethtool is installed with `rpm -qa` command.

Marking this bug verified.

Comment 7 errata-xmlrpc 2021-02-24 15:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.